Bug 1440570 - [abrt] dnfdragora: Py_FatalError(): python3.5 killed by SIGABRT
Summary: [abrt] dnfdragora: Py_FatalError(): python3.5 killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnfdragora
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:d6463887577e9cd982d3f39b498...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-10 01:21 UTC by Gerasim
Modified: 2017-04-15 23:51 UTC (History)
4 users (show)

Fixed In Version: dnfdragora-1.0.0-19.git20170411.3662635.fc26 dnfdragora-1.0.0-19.git20170411.3662635.fc24 dnfdragora-1.0.0-19.git20170411.3662635.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-15 18:27:44 UTC


Attachments (Terms of Use)
File: backtrace (68.18 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: cgroup (242 bytes, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: core_backtrace (78.86 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: dso_list (18.03 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: environ (1.79 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: maps (84.29 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: mountinfo (3.48 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: namespaces (102 bytes, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: open_fds (991 bytes, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details
File: var_log_messages (28 bytes, text/plain)
2017-04-10 01:21 UTC, Gerasim
no flags Details

Description Gerasim 2017-04-10 01:21:06 UTC
Description of problem:
install pkgs 

Version-Release number of selected component:
dnfdragora-1.0.0-14.git20170405.cca9412.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/python3 /usr/bin/dnfdragora
crash_function: Py_FatalError
executable:     /usr/bin/python3.5
global_pid:     6290
kernel:         4.10.8-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 Py_FatalError at /usr/src/debug/Python-3.5.3/Python/pylifecycle.c:1385
 #3 _Py_CheckRecursiveCall at /usr/src/debug/Python-3.5.3/Python/ceval.c:753
 #4 PyObject_Call at /usr/src/debug/Python-3.5.3/Objects/abstract.c:2163
 #5 call_function_tail at /usr/src/debug/Python-3.5.3/Objects/abstract.c:2192
 #6 callmethod at /usr/src/debug/Python-3.5.3/Objects/abstract.c:2261
 #7 _PyObject_CallMethodId at /usr/src/debug/Python-3.5.3/Objects/abstract.c:2306
 #8 flush_std_files at /usr/src/debug/Python-3.5.3/Python/pylifecycle.c:488
 #9 Py_FatalError at /usr/src/debug/Python-3.5.3/Python/pylifecycle.c:1364
 #10 _Py_CheckRecursiveCall at /usr/src/debug/Python-3.5.3/Python/ceval.c:753
 #11 PyObject_Call at /usr/src/debug/Python-3.5.3/Objects/abstract.c:2163

Comment 1 Gerasim 2017-04-10 01:21:13 UTC
Created attachment 1270328 [details]
File: backtrace

Comment 2 Gerasim 2017-04-10 01:21:14 UTC
Created attachment 1270329 [details]
File: cgroup

Comment 3 Gerasim 2017-04-10 01:21:17 UTC
Created attachment 1270330 [details]
File: core_backtrace

Comment 4 Gerasim 2017-04-10 01:21:19 UTC
Created attachment 1270331 [details]
File: dso_list

Comment 5 Gerasim 2017-04-10 01:21:20 UTC
Created attachment 1270332 [details]
File: environ

Comment 6 Gerasim 2017-04-10 01:21:22 UTC
Created attachment 1270333 [details]
File: limits

Comment 7 Gerasim 2017-04-10 01:21:25 UTC
Created attachment 1270334 [details]
File: maps

Comment 8 Gerasim 2017-04-10 01:21:26 UTC
Created attachment 1270335 [details]
File: mountinfo

Comment 9 Gerasim 2017-04-10 01:21:28 UTC
Created attachment 1270336 [details]
File: namespaces

Comment 10 Gerasim 2017-04-10 01:21:30 UTC
Created attachment 1270337 [details]
File: open_fds

Comment 11 Gerasim 2017-04-10 01:21:32 UTC
Created attachment 1270338 [details]
File: proc_pid_status

Comment 12 Gerasim 2017-04-10 01:21:33 UTC
Created attachment 1270339 [details]
File: var_log_messages

Comment 13 Fedora Update System 2017-04-11 13:15:52 UTC
libyui-qt-2.47.1-1.fc25 libyui-ncurses-2.48.1-1.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25 libyui-gtk-2.44.8-2.fc25 libyui-3.2.9-1.fc25 dnfdragora-1.0.0-18.git20170411.6098816.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 14 Fedora Update System 2017-04-11 13:16:32 UTC
libyui-qt-2.47.1-1.fc26 libyui-ncurses-2.48.1-1.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-gtk-2.44.8-2.fc26 libyui-3.2.9-1.fc26 dnfdragora-1.0.0-18.git20170411.6098816.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 15 Fedora Update System 2017-04-11 19:25:37 UTC
dnfdragora-1.0.0-18.git20170411.6098816.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-2.fc25, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-1.fc25, libyui-qt-2.47.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 16 Fedora Update System 2017-04-11 20:53:53 UTC
dnfdragora-1.0.0-18.git20170411.6098816.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-2.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-1.fc26, libyui-qt-2.47.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 17 Fedora Update System 2017-04-12 08:18:57 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-2.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-1.fc26 libyui-qt-2.47.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 18 Fedora Update System 2017-04-12 08:19:46 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-2.fc25 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-1.fc25 libyui-qt-2.47.1-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 19 Fedora Update System 2017-04-12 21:53:51 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-2.fc25, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-1.fc25, libyui-qt-2.47.1-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 20 Fedora Update System 2017-04-12 23:22:04 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-2.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-1.fc26, libyui-qt-2.47.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 21 Fedora Update System 2017-04-13 07:01:29 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.2.9-1.fc26 libyui-gtk-2.44.8-3.fc26 libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-2.fc26 libyui-qt-2.47.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 22 Fedora Update System 2017-04-13 07:03:08 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.2.9-1.fc25 libyui-gtk-2.44.8-3.fc25 libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-2.fc25 libyui-qt-2.47.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 23 Fedora Update System 2017-04-13 15:19:16 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.2.9-1.fc25, libyui-gtk-2.44.8-3.fc25, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-2.fc25, libyui-qt-2.47.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 24 Fedora Update System 2017-04-13 16:57:04 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25 libyui-3.3.0-1.fc25 libyui-bindings-1.1.1-13.fc25 libyui-gtk-2.44.8-4.fc25 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25 libyui-ncurses-2.48.1-3.fc25 libyui-qt-2.47.1-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 25 Fedora Update System 2017-04-13 17:21:00 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.2.9-1.fc26, libyui-gtk-2.44.8-3.fc26, libyui-mga-1.0.8-0.6.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.8.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.7.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.7.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-2.fc26, libyui-qt-2.47.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 26 Fedora Update System 2017-04-13 18:09:33 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26 libyui-3.3.1-1.fc26 libyui-bindings-1.1.1-13.fc26 libyui-gtk-2.44.8-4.fc26 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26 libyui-ncurses-2.48.1-3.fc26 libyui-qt-2.47.1-3.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 27 Fedora Update System 2017-04-14 13:55:40 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24 libyui-3.3.1-1.fc24 libyui-bindings-1.1.2-1.fc24 libyui-gtk-2.44.8-4.fc24 libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24 libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24 libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24 libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24 libyui-ncurses-2.48.1-3.fc24 libyui-qt-2.47.1-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 28 Fedora Update System 2017-04-14 23:52:21 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-9226fb42a0

Comment 29 Fedora Update System 2017-04-15 00:27:49 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-249b0d135b

Comment 30 Fedora Update System 2017-04-15 01:49:30 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-25e38f541d

Comment 31 Fedora Update System 2017-04-15 18:27:44 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc26, libyui-3.3.1-4.fc26, libyui-bindings-1.1.2-1.fc26, libyui-gtk-2.44.8-4.fc26, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc26, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc26, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc26, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc26, libyui-ncurses-2.48.1-3.fc26, libyui-qt-2.47.1-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-04-15 22:49:00 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc24, libyui-3.3.1-4.fc24, libyui-bindings-1.1.2-1.fc24, libyui-gtk-2.44.8-4.fc24, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc24, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc24, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc24, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc24, libyui-ncurses-2.48.1-3.fc24, libyui-qt-2.47.1-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 33 Fedora Update System 2017-04-15 23:51:41 UTC
dnfdragora-1.0.0-19.git20170411.3662635.fc25, libyui-3.3.1-4.fc25, libyui-bindings-1.1.2-1.fc25, libyui-gtk-2.44.8-4.fc25, libyui-mga-1.0.8-0.7.gita6a160e.20160313.fc25, libyui-mga-gtk-1.0.2-0.9.git22f2cf6.20131215.fc25, libyui-mga-ncurses-1.0.2-0.8.git026f2e6.20131215.fc25, libyui-mga-qt-1.0.3-0.8.gitb508e88.20140119.fc25, libyui-ncurses-2.48.1-3.fc25, libyui-qt-2.47.1-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.